| Version: 3.1.5

Classes | Enumerations | Variables
framemanager.h File Reference

## Classes
class | wxAuiManager
| wxAuiManager is the central class of the wxAUI class framework. More...
class | wxAuiPaneInfo
| wxAuiPaneInfo is part of the wxAUI class framework. More...
class | wxAuiManagerEvent
| Event used to indicate various actions taken with wxAuiManager. More...
class | wxAuiDockInfo
class | wxAuiDockUIPart

## Enumerations
enum | wxAuiManagerDock { wxAUI_DOCK_NONE = 0 , wxAUI_DOCK_TOP = 1 , wxAUI_DOCK_RIGHT = 2 , wxAUI_DOCK_BOTTOM = 3 , wxAUI_DOCK_LEFT = 4 , wxAUI_DOCK_CENTER = 5 , wxAUI_DOCK_CENTRE = wxAUI_DOCK_CENTER }
enum | wxAuiManagerOption { wxAUI_MGR_ALLOW_FLOATING = 1 << 0 , wxAUI_MGR_ALLOW_ACTIVE_PANE = 1 << 1 , wxAUI_MGR_TRANSPARENT_DRAG = 1 << 2 , wxAUI_MGR_TRANSPARENT_HINT = 1 << 3 , wxAUI_MGR_VENETIAN_BLINDS_HINT = 1 << 4 , wxAUI_MGR_RECTANGLE_HINT = 1 << 5 , wxAUI_MGR_HINT_FADE = 1 << 6 , wxAUI_MGR_NO_VENETIAN_BLINDS_FADE = 1 << 7 , wxAUI_MGR_LIVE_RESIZE = 1 << 8 , wxAUI_MGR_DEFAULT }
| wxAuiManager behaviour and visual effects style flags. More...

## Variables
wxEventType | wxEVT_AUI_PANE_BUTTON
wxEventType | wxEVT_AUI_PANE_CLOSE
wxEventType | wxEVT_AUI_PANE_MAXIMIZE
wxEventType | wxEVT_AUI_PANE_RESTORE
wxEventType | wxEVT_AUI_PANE_ACTIVATED
wxEventType | wxEVT_AUI_RENDER
wxEventType | wxEVT_AUI_FIND_MANAGER

## Enumeration Type Documentation

## ◆ wxAuiManagerDock

enum wxAuiManagerDock

Todo:
  wxAuiPaneInfo dock direction types used with wxAuiManager.

Enumerator
wxAUI_DOCK_NONE |
wxAUI_DOCK_TOP |
wxAUI_DOCK_RIGHT |
wxAUI_DOCK_BOTTOM |
wxAUI_DOCK_LEFT |
wxAUI_DOCK_CENTER |
wxAUI_DOCK_CENTRE |

## ◆ wxAuiManagerOption

enum wxAuiManagerOption

wxAuiManager behaviour and visual effects style flags.

Enumerator
wxAUI_MGR_ALLOW_FLOATING | Allow a pane to be undocked to take the form of a wxMiniFrame.
wxAUI_MGR_ALLOW_ACTIVE_PANE | Change the color of the title bar of the pane when it is activated.
wxAUI_MGR_TRANSPARENT_DRAG | Make the pane transparent during its movement.
wxAUI_MGR_TRANSPARENT_HINT | The possible location for docking is indicated by a translucent area.
wxAUI_MGR_VENETIAN_BLINDS_HINT | The possible location for docking is indicated by a gradually appearing partially transparent area.
wxAUI_MGR_RECTANGLE_HINT | The possible location for docking is indicated by a rectangular outline.
wxAUI_MGR_HINT_FADE | The translucent area where the pane could be docked appears gradually.
wxAUI_MGR_NO_VENETIAN_BLINDS_FADE | Used in complement of wxAUI_MGR_VENETIAN_BLINDS_HINT to show the hint immediately.
wxAUI_MGR_LIVE_RESIZE | When a docked pane is resized, its content is refreshed in live (instead of moving the border alone and refreshing the content at the end).
wxAUI_MGR_DEFAULT | Default behaviour.

## Variable Documentation

## ◆ wxEVT_AUI_FIND_MANAGER

wxEventType wxEVT_AUI_FIND_MANAGER

## ◆ wxEVT_AUI_PANE_ACTIVATED

wxEventType wxEVT_AUI_PANE_ACTIVATED

## ◆ wxEVT_AUI_PANE_BUTTON

wxEventType wxEVT_AUI_PANE_BUTTON

## ◆ wxEVT_AUI_PANE_CLOSE

wxEventType wxEVT_AUI_PANE_CLOSE

## ◆ wxEVT_AUI_PANE_MAXIMIZE

wxEventType wxEVT_AUI_PANE_MAXIMIZE

## ◆ wxEVT_AUI_PANE_RESTORE

wxEventType wxEVT_AUI_PANE_RESTORE

## ◆ wxEVT_AUI_RENDER

wxEventType wxEVT_AUI_RENDER